Bug 461949 - Unable to connecting to remote libvirtd using ssh - gnome-
Unable to connecting to remote libvirtd using ssh - gnome-
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-applet-vm (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-09-11 12:16 EDT by James Laska
Modified: 2013-09-02 02:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:45:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screencast.ogg (756.85 KB, application/octet-stream)
2008-09-11 12:16 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2008-09-11 12:16:44 EDT
Created attachment 316455 [details]
Screencast.ogg

Description of problem:

The openssh-askpass dialog appear asking for the remote systems user password.  Even when entering the correct password, the password dialog continues to appear.

Version-Release number of selected component (if applicable):

libvirt-0.4.5-2.fc10.i386
virt-manager-0.6.0-1.fc10.i386
qemu-0.9.1-10.fc10.i386
openssh-askpass-5.1p1-2.fc10.i386

How reproducible:
100%

Steps to Reproduce:
1. Left-click on gnome-applet-vm 
2. Select connections
3. Select Add
4. Select Driver=QEMU/KVM, check remote connection, enter remote hostname details, username=root, transport=SSH
5. Click submit
6. In connections window, select [X] to enable the new connection.

Actual results:
See screencast ...

Expected results:

Additional info:
Comment 1 James Laska 2008-09-11 12:17:59 EDT
As requested on IRC ... the 'ps -ewwwf --forest' output for this is noted below:

root      6813     1  0 07:57 ?        00:00:00 /usr/libexec/vm_applet --oaf-activate-iid=OAFIID:GNOME_VmApplet_Factory --oaf-ior-fd=36
root      6896  6813  0 08:08 ?        00:00:00  \_ ssh -p 22 -l root hp-xw9300.test.redhat.com nc -U /var/run/libvirt/libvirt-sock
root      6898  6896  1 08:08 ?        00:00:00      \_ /usr/libexec/openssh/gnome-ssh-askpass root@hp-xw9300.test.redhat.com's password:
Comment 2 James Laska 2008-09-11 12:28:49 EDT
Note, this *only* occurs when adding a connection through the gnome-applet-vm connections dialog.

When adding a connection through virt-manager, it works fine.
Comment 3 Bug Zapper 2008-11-25 22:02:39 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora Admin XMLRPC Client 2009-02-11 12:24:36 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Bug Zapper 2009-11-18 03:22:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Cole Robinson 2009-11-18 08:45:01 EST
This package is basically dead and I won't be doing any bug fixes for it, so closing this bug as WONTFIX.

For F12, gnome-applet-vm functionality has been integrated into virt-manager, and can be enabled in Edit->Preferences

Note You need to log in before you can comment on or make changes to this bug.